Subject: IBIS BIRD43 COMPONENT TEST POINT SUBPARAMETERS

From: [email-masked] ( Bob Ross)
Date: Fri, 23 May 97 16:10 PDT

To IBIS Committee:

BIRD43 specifies the measurement location of Signal Integrity and Timing
measurements for the Component.  Historically, the measurement location
has been ASSUMED to be at the external Pin location.  However, some ASIC
buffers and other parts have their specification at the Die since the
package information can be a big variable.  

BIRD43 adds two optional subparameters to [Component] so that the signal
integrity and timing specifications can applied at the intended location.

Bob Ross
Interconnectix

******************************************************************************
******************************************************************************

BIRD ID#:      43
ISSUE TITLE:   Component Test Point Subparameters
REQUESTER:     Bob Ross, Interconnectix
DATE SUBMITTED:   May 23, 1997
DATE ACCEPTED BY IBIS OPEN FORUM:     Pending

******************************************************************************
******************************************************************************

STATEMENT OF THE ISSUE:

Signal Integrity and Timing measurement locations have been assumed to
be at the external pin location of the part where physical measurements
are available.  Some parts, such as ASICs specify these parameters for
the Die itself.  So the measurement locations need to be stated to
be consistent with the specified data.
 
******************************************************************************

STATEMENT OF THE RESOLVED SPECIFICATIONS:

Add to the [Component] keyword two optional subparameters 'Si_location' and
'Timing_location' as shown by the |* lines.

|==============================================================================
|     Keyword:  [Component]
|    Required:  Yes
| Description:  Marks the beginning of the IBIS description of the integrated
|               circuit named after the keyword.
|*  Sub-Params:  Si_location, Timing_location
| Usage Rules:  If the .ibs file contains data for more than one component,
|               each section must begin with a new [Component] keyword.  The
|               length of the Component Name must not exceed 40 characters,
|               and blank characters are allowed.
|
|               NOTE: Blank characters are not recommended due to usability
|               issues.
|
|*               Si_location and Timing_location are optional and specify
|*               where the Signal Integity and Timing measurements are made
|*               for the component.  The default location is at the 'Pin'.
|*               However, the 'Die' location is also available for either or
|*               and both subparameters.
|*               
|------------------------------------------------------------------------------
[Component]     7403398 MC452
|
Si_location     Pin    | Optional subparameters to give measurement
Timing_locaton  Die    | location positions   
|

******************************************************************************

ANALYSIS PATH/DATA THAT LED TO SPECIFICATION:

The Threshold values Vinl and Vinh and the timing test load values based
on Vmeas, Rref, Cref, and Vref have historically been ASSUMED to be
at the Pin location of the part because these are associated with
external, measureable specifications.

Some ASICs specify these parameters at the die.  Therefore, optional
subparameters to [Component] are proposed to provide this specification
flexability so that the measurement location is consistent with the source
data.

The easiest way is to include this detail on a Component-wide basis so that
simulators can detect automatically where measurements are to be taken.

******************************************************************************

ANY OTHER BACKGROUND INFORMATION: